=== debian/changelog ===
python-qt4 (4.7.3-maemo5) unstable; urgency=low

  * Rebuilding due to Qt version mismatch in PR1.2

 -- Attila Csipa <maemo@csipa.in.rs>  Thu, 11 Feb 2010 00:13:33 +0100
