## python-qt4 4.7.4

=== debian/changelog ===
python-qt4 (4.7.4-0ubuntu1common0hedley3) lucid; urgency=low

  * No changes. Rebuild again now that python has been reverted to lucid-
    version in Hedley PPA.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sun, 17 Oct 2010 23:15:21 -0400

python-qt4 (4.7.4-0ubuntu1common0hedley2) lucid; urgency=low

  * No changes. Rebuild now that python is fixed in Hedley PPA.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sun, 17 Oct 2010 21:38:43 -0400

python-qt4 (4.7.4-0ubuntu1common0hedley1) lucid; urgency=low

  * Rebuild maverick version for lucid-based Hedley project. Branched from
    lp:ubuntu/python-qt4 and tag 4.7.4-0ubuntu1.
  * debian/python-qt4.install: Do not install QtXmlPatterns.so as xmlpatterns
    has been disabled in Hedley's version of qt4-x11
  * debian/control: Add Vcs-Bzr: lp:~hedley-team/hedley/python-qt4

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sun, 17 Oct 2010 10:17:21 -0400

python-qt4 (4.7.4-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Switch to libqtwebkit-dev for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 10:27:38 +0100

python-qt4 (4.7.3-1ubuntu2) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 May 2010 11:16:28 +0000

python-qt4 (4.7.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining change:
   - Add kubuntu_01_fix_uic.diff, to fix the ui compiler by not using deprecate
    interfaces of QString (LP: #514796)
  * Build-depend on Qt 4.7
  * No QtAssistant.so in .install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 May 2010 14:52:50 +0000
